[arch-commits] Commit in catalyst/trunk (PKGBUILD catalyst.install)

Thomas Baechler thomas at archlinux.org
Mon Jul 21 16:04:40 EDT 2008


    Date: Monday, July 21, 2008 @ 16:04:39
  Author: thomas
Revision: 5892

upgpkg: catalyst 8.6-2

Modified:
  catalyst/trunk/PKGBUILD
  catalyst/trunk/catalyst.install

------------------+
 PKGBUILD         |   14 +++++++++-----
 catalyst.install |    6 +++---
 2 files changed, 12 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-21 19:41:10 UTC (rev 5891)
+++ PKGBUILD	2008-07-21 20:04:39 UTC (rev 5892)
@@ -4,18 +4,20 @@
 
 pkgname=catalyst
 pkgver=8.6
-_kernel_version=2.6.25
-pkgrel=1
+_kernel_version=2.6.26
+pkgrel=2
 pkgdesc="Proprietary AMD/ATI kernel drivers for Radeon brand cards. Stock kernel."
 arch=('i686' 'x86_64')
 url="http://www.ati.amd.com"
 license=('custom') 
-depends=("catalyst-utils>=${pkgver}" "kernel26>=2.6.25.3-1" "kernel26<=${_kernel_version}.9999")
+depends=("catalyst-utils>=${pkgver}" "kernel26>=${_kernel_version}-1" "kernel26<=${_kernel_version}.9999")
 makedepends=()
 replaces=('ati-fglrx' 'fglrx') # Yay rebranding
 install=${pkgname}.install
-source=(http://www2.ati.com/drivers/linux/ati-driver-installer-${pkgver/./-}-x86.x86_64.run)
-md5sums=('b48a5b7ba10a283d562c2bbecd72315a')
+source=(http://www2.ati.com/drivers/linux/ati-driver-installer-${pkgver/./-}-x86.x86_64.run
+        2.6.26.patch)
+md5sums=('b48a5b7ba10a283d562c2bbecd72315a'
+         '395b81dc1476302199e6667718802db6')
 _kernver=${_kernel_version}-ARCH
 
 build() {
@@ -25,6 +27,8 @@
     [ "$CARCH" = "x86_64" ] && _arch="x86_64"
 
     /bin/sh ./ati-driver-installer-${pkgver/./-}-x86.x86_64.run --extract archive_files
+    cd $startdir/src/archive_files/common
+    patch -Nlp1 -i $startdir/src/2.6.26.patch || return 1
 
     cp $startdir/src/archive_files/arch/${_arch}/* $startdir/src/ -r 
     cp $startdir/src/archive_files/common/* $startdir/src/ -r 

Modified: catalyst.install
===================================================================
--- catalyst.install	2008-07-21 19:41:10 UTC (rev 5891)
+++ catalyst.install	2008-07-21 20:04:39 UTC (rev 5892)
@@ -13,20 +13,20 @@
   echo "You can use the tool 'aticonfig' to generate an xorg.conf file."
   echo "Remember to add fglrx to the MODULES list in /etc/rc.conf."
   echo "--------------------------------------------------------------"
-  KERNEL_VERSION=2.6.25-ARCH
+  KERNEL_VERSION=2.6.26-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
 # arg 1:  the new package version
 # arg 2:  the old package version
 post_upgrade() {
-  KERNEL_VERSION=2.6.25-ARCH
+  KERNEL_VERSION=2.6.26-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 
 # arg 1:  the old package version
 post_remove() {
-  KERNEL_VERSION=2.6.25-ARCH
+  KERNEL_VERSION=2.6.26-ARCH
   depmod -v $KERNEL_VERSION > /dev/null 2>&1
 }
 





More information about the arch-commits mailing list